#include <bits/stdc++.h>
using namespace std;

typedef struct
{
    int x,y;
} tacka;
int main()
{
	int n; cin>>n;
	tacka t[n];
	for(int i=0; i<n; ++i) cin>>t[i].x>>t[i].y;
	if(n==1) cout<<0;
	else if(n==2) {
        if(t[0].x!=t[1].x && t[0].y!=t[1].y) cout<<0;
        else cout<<1;
	}
	else cout<<0;
}